Commit b1467a56 authored by Leo's avatar Leo

community/pacman: upgrade to 5.2.2

parent f41c8360
# Contributor: Leo <thinkabit.ukim@gmail.com>
# Maintainer:
pkgname=pacman
pkgver=5.2.1
pkgrel=2
pkgver=5.2.2
pkgrel=0
pkgdesc="A simple library-based package manager"
options="!check" # Depends on not packaged fakechroot
url="https://www.archlinux.org/pacman/"
arch="all"
license="GPL-2.0-or-later"
options="!check" # Depends on not packaged fakechroot
depends="bash libarchive-tools"
depends_dev="gettext-dev"
makedepends="$depends_dev autoconf automake coreutils curl-dev libtool
......@@ -17,8 +17,8 @@ subpackages="
$pkgname-dev
$pkgname-doc
$pkgname-lang
$pkgname-bash-completion:bashcomp:noarch
$pkgname-zsh-completion:zshcomp:noarch
$pkgname-bash-completion
$pkgname-zsh-completion
"
source="https://sources.archlinux.org/other/pacman/pacman-$pkgver.tar.gz"
......@@ -50,20 +50,4 @@ package() {
rmdir -p "$pkgdir"/usr/share/pkgconfig || true
}
bashcomp() {
depends=""
pkgdesc="Bash completions for $pkgname"
install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
amove usr/share/bash-completion
}
zshcomp() {
depends=""
pkgdesc="Zsh completions for $pkgname"
install_if="$pkgname=$pkgver-r$pkgrel zsh"
amove usr/share/zsh/site-functions
}
sha512sums="7814420b8d71090313f1bc7d9a513138bda74c5cbcb43d9741acc27ea7b4d180a38848a7d7059969cc7afed1b108d26ba2622a16d8761566357c50a5da456981 pacman-5.2.1.tar.gz"
sha512sums="1f9c569fb9cfe90afeeb7e3715bfa821ec4c57fdbbd7e09cd1e2519fad1a555b2f5378dedb2c2e551d2e92db92f1db9684969b472507f676c5bb932cdf436eda pacman-5.2.2.tar.gz"
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment